package opc.ua.services.common;

import java.util.Date;

import opc.ua.addressspace.datatype.NodeId;

public class ViewDescription {

	private NodeId viewId;
	private Date timestamp;
	private long viewVersion;
	
	
	public NodeId getViewId() {
		return viewId;
	}
	public void setViewId(NodeId viewId) {
		this.viewId = viewId;
	}
	public Date getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}
	public long getViewVersion() {
		return viewVersion;
	}
	public void setViewVersion(long viewVersion) {
		this.viewVersion = viewVersion;
	}

}
